APT-MARK(8)

NAME
apt-mark - ein Paket als automatisch installiert markieren oder diese Markierung entfernen

SYNOPSIS

apt-mark [-hv] [-f=DATEINAME] {markauto | unmarkauto} Paket... | showauto

BESCHREIBUNG

apt-mark wird ändern, ob ein Paket als automatisch installiert markiert ist.

Wenn Sie die Installation eines Paketes anfordern und andere Pakete installiert werden, um dessen Abhängigkeiten zu erfüllen, werden die Abhängigkeiten als automatisch installiert markiert. Sobald keine manuell installierten Pakete mehr von diesen automatisch installierten Paketen abhängen, werden sie z.B durch apt-get oder aptitude entfernt.

markauto
    markauto wird benutzt, um ein Paket als automatisch installiert zu markieren, was veranlasst, dass das Paket entfernt wird, wenn keine manuell installierten Pakete von ihm abhängen.

unmarkauto
    markauto wird benutzt, um ein Paket als manuell installiert zu markieren, was verhindert, dass das Paket automatisch entfernt wird, wenn kein anderes Paket von ihm abhängt.

showauto
    showauto wird benutzt, um eine Liste automatisch installierter Pakete mit einem Paket in jeder neuen Zeile, auszugeben.

OPTIONEN

-f=DATEINAME, --file=DATEINAME
    Paketstatus von DATEINAME lesen/schreiben, anstatt vom Standardort, der extended_status im von Konfigurationselement Dir::State definierten Verzeichnis, ist.

-h, --help
    Eine kurze Zusammenfassung anzeigen.

-v, --version
    Die Programmversion anzeigen.

DATEIEN

/var/lib/apt/extended_states
    Statusliste automatisch installierter Pakete. Konfigurationselement: Dir::State::extended_states.

SIEHE AUCH

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSE

apt-mark gibt bei normalen Operationen Null zurück, bei Fehlern nicht Null.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick c.leick@vollbio.de in Zusammenarbeit mit dem deutschen l10n-Team von Debian debian-l10n-german@lists.debian.org angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTHORS

Mike O'Connor

APT-Team

NOTES

1.  APT-Fehlerseite
    http://bugs.debian.org/src:apt